Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleQuaternion Class Reference

Class to handle a flexible Quaternion type reference method there is more than one. More...

## Public Member Functions
| FlexibleQuaternion ()
| FlexibleQuaternion default constructor More...
| FlexibleQuaternion (Quaternion value)
| FlexibleQuaternion constructor More...
| FlexibleQuaternion (QuaternionParameterReference parameter)
| FlexibleQuaternion constructor More...
| FlexibleQuaternion (InputSlotQuaternion slot)
| FlexibleQuaternion constructor More...

## Static Public Member Functions
static | operator Quaternion (FlexibleQuaternion flexible)
| Cast FlexibleQuaternion to Quaternion. More...
static | operator FlexibleQuaternion (Quaternion value)
| Cast Quaternion to FlexibleQuaternion. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
Quaternion | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Quaternion type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleQuaternion | ( |  | ) |

FlexibleQuaternion default constructor

FlexibleQuaternion | ( | Quaternion | value | ) |

FlexibleQuaternion constructor

Parameters

  value | Value

FlexibleQuaternion | ( | QuaternionParameterReference | parameter | ) |

FlexibleQuaternion constructor

Parameters

  parameter | Parameter

FlexibleQuaternion | ( | InputSlotQuaternion | slot | ) |

FlexibleQuaternion constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleQuaternion | ( | Quaternion | value | ) |
| explicit static

Cast Quaternion to FlexibleQuaternion.

Parameters

  value | Quaternion

static operator Quaternion | ( | FlexibleQuaternion | flexible | ) |
| explicit static

Cast FlexibleQuaternion to Quaternion.

Parameters

  flexible | FlexibleQuaternion

## Property Documentation

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

FlexibleType type
| get

It returns a type

Quaternion value
| get

It returns a value